[MULTILINE_PARSER]
    Name   python
    Type   regex
    Flush  2
    Rule   "start_state"  "/^\d{4}-\d{2}-\d{2}[\sT]/"  "cont"
    Rule   "cont"         "/^\s+|^Traceback|^\tat\s+/" "cont"

[MULTILINE_PARSER]
    Name   go
    Type   regex
    Flush  2
    Rule   "start_state"  "/^[0-9]{4}\/[0-9]{2}\/[0-9]{2}/" "cont"
    Rule   "cont"         "/^\s+|^\t/" "cont"

[MULTILINE_PARSER]
    Name   java
    Type   regex
    Flush  2
    Rule   "start_state"  "/^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}/" "cont"
    Rule   "cont"         "/^\s+at\s+|^\t.../" "cont"

[PARSER]
    Name   timestamp_parser
    Format regex
    Regex  ^(?<timestamp>\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2})\s+(?<level>\w+)\s+(?<message>.*)$
    Time_Key    timestamp
    Time_Format %Y-%m-%d %H:%M:%S
